#ifndef PLOG_FILE_APPENDER_H
#define PLOG_FILE_APPENDER_H

#include "appender.h"
#include <atlfile.h>
#include <string>

namespace plog
{

//////////////////////////////////////////////////////////////////////////

class file_appender : public appender
{
public:
    file_appender(log_level min_severity = none);
    file_appender(const wchar_t* file_name, bool rewrite_file, log_level min_severity = none);

    void init(const wchar_t* file_name, bool rewrite_file);
    virtual void write(const void* buffer, size_t length);
    virtual bool newly_created();

private:
    bool is_file_deleted();
    void reinitialize_file();

private:
    ATL::CAtlFile file_;
    bool rewritten_;
    std::wstring file_name_;
};

} //namespace

#endif