#ifndef PLOG_LOG_LEVEL_H
#define PLOG_LOG_LEVEL_H

namespace plog
{

//////////////////////////////////////////////////////////////////////////
// LOG_LEVEL

enum log_level
{
    minimum_log_level = 0,
    none    = 0,
    fatal   = 1,
    error   = 2,
    warning = 3,
    info    = 4,
    debug   = 5,
    trace   = 6,
    maximum_log_level = debug + 1
};

inline const char* level_name(log_level level)
{
    switch(level)
    {
    case fatal:
        return "FATAL";
    case error:
        return "ERROR";
    case warning:
        return "WARNING";
    case info:
        return "INFO";
    case debug:
        return "DEBUG";
    case trace:
        return "TRACE";
    default:
        return "NONE";
    }
}

} //namespace

#endif