#ifndef PLOG_MULTIAPPENDER_LOGGER_H
#define PLOG_MULTIAPPENDER_LOGGER_H

#include <vector>
#include <algorithm>
#include <utility>

#include "plog/logger.h"
#include "plog/log_message.h"
#include "plog/appender.h"

#include "plog/csv_formatter.h"
#include "plog/formatter.h"

namespace plog
{

//////////////////////////////////////////////////////////////////////////
// default loggers

class multiappender_logger 
    : public logger
{
public:
    multiappender_logger(){};
    ~multiappender_logger(){};
    
    void add_appender(appender* log_appender, formatter* log_formatter);
    void write(const message& msg);
    bool check_severity(log_level severity);


private:
    std::vector< std::pair<appender*,formatter*> > appenders_;
};

//////////////////////////////////////////////////////////////////////////

}

#endif