#include "plog/context_info.h"

plog::context_info::context_info(const char* filex, const char* func_namex, size_t linex, unsigned tidx, const void* objx, SYSTEMTIME* timex /*= NULL*/) : tid(tidx)
, file(filex)
, func_name(func_namex)
, line(linex)
, object(objx)
{
    if (timex)
        time = *timex;
    else
        ::GetLocalTime(&time);
}

plog::context_info::context_info() : tid(0)
, file("")
, func_name("")
, line(0)
{
    memset(&time, 0, sizeof(SYSTEMTIME));
}