#include "plog/debug_output_appender.h"

#include <windows.h>
#include <string>

namespace plog
{

    //////////////////////////////////////////////////////////////////////////

    debug_output_appender::debug_output_appender(log_level min_severity) 
        : appender(min_severity)
    {
    }

    void debug_output_appender::write(const void*  buffer, size_t length)
    {
        std::string str(static_cast<const char*>(buffer), length);
        ::OutputDebugStringA(str.c_str());
    }

    bool debug_output_appender::newly_created()
    {
        return false;
    }

} //namespace