#include "plog/error_observer.h"
#include "plog/logger_holder.h"

#include <memory>
#include <stdexcept>

namespace
{
    std::auto_ptr<plog::error_observer> g_error_observer;
}

//////////////////////////////////////////////////////////////////////////

namespace plog
{
    error_observer::~error_observer()
    {}

    void set_error_observer(error_observer* observer)
    {
        if (plog::logger_holder::get_logger() != NULL)
        {
            throw std::runtime_error(
                "Error observer cannot be set after log initialization");
        }
        g_error_observer.reset(observer);
    }

    error_observer* get_error_observer()
    {
        return g_error_observer.get();
    }

    error_observer* release_error_observer()
    {
        return g_error_observer.release();
    }
}