#include "plog/logger_holder.h"
#include "plog/logger.h"

#include <memory>

namespace
{
    std::auto_ptr<plog::logger> g_logger_instance;
}

namespace plog
{
    namespace logger_holder
    {
        void set_logger(logger* new_logger)
        {
            g_logger_instance.reset(new_logger);
        }

        logger* get_logger()
        {
            return g_logger_instance.get();
        }

        logger* release_logger()
        {
            return g_logger_instance.release();
        }
    }
}
