#include "plog/ostream_appender.h"

#include <ostream>

namespace plog
{

    //////////////////////////////////////////////////////////////////////////

    ostream_appender::ostream_appender(std::ostream& stream, log_level min_severity) 
        : appender(min_severity),
          stream_(stream)
    {
    }

    void ostream_appender::write(const void*  buffer, size_t length)
    {
        stream_.write(static_cast<const char*>(buffer), length);
    }

    bool ostream_appender::newly_created()
    {
        return appender::newly_created();
    }

} //namespace