#include "plog/txt_formatter.h"
#include "plog/str_utils.h"

#include <boost/format.hpp>
#include <algorithm>
#include <windows.h>
#include <cstdlib>

namespace plog
{
    size_t txt_formatter::format(const message& msg, char* buffer, size_t buffer_size) const
    {
        const context_info& context = msg.context();

        int res = _snprintf_s(buffer, buffer_size, _TRUNCATE, "%04d.%02d.%02d\t%02d:%02d:%02d:%03d\t[%7s]\t%s\t%s"NEWLINE,
            context.time.wYear, context.time.wMonth, context.time.wDay, 
            context.time.wHour, context.time.wMinute, context.time.wSecond, context.time.wMilliseconds,
            msg.severity_name(), msg.context().func_name, msg.text().c_str());

        if (res == -1)
        {
            size_t len = buffer_size - 1;
            buffer[len - 2] = '\r';
            buffer[len - 1] = '\n';
            return len;
        }
        else
        {
            return res;
        }
    }

    size_t txt_formatter::header_size() const
    {
        return 0;
    }

    const char* txt_formatter::header() const
    {
        return "";
    }

}